uuid: e8607937-f044-4750-892e-ab8b3b74080a
langcode: es
status: true
dependencies: {  }
id: gronze_pg_image_full_width
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'image_full_width PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: image_full_width
process:
  langcode:
    plugin: default_value
    default_value: es
  field_text_image:
    plugin: sub_process
    source: field_text_image
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_media_image
        source: fid
        no_stub: true
  field_text_body:
    plugin: sub_process
    source: field_text_body
    process:
      value: value
      format:
        plugin: text_format_map
        source: format
  field_text_title: field_text_title
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: image_full_width
migration_dependencies:
  required:
    - gronze_media_image
